Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Mono.Security.Protocol.Ntlm.MessageBase A Type2 message is used by a server to return a nonce (a random value) as a challenge to the client to negotiate the challenge/response parameters (flags). To be added
- Constructor
  Construct an empty Type2Message instance.
  This constructor is used on the server side to construct a Type2 message to be sent to the client.
  1.0.5000.0
  2.0.0.0
- Constructor
  an array of bytes containing the Type2 message to decode.
  Construct an Type2Message instance with the specified message.
  This constructor is used on the client side to decode a Type2 message received from the server.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` an array of bytes containing the message to decode. Decode the specified binrary message. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] Return the binary message. an array of bytes containing the constructed message. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Byte[] A random value, choosed by the server, to by used as the challenge by the client. an array of 8 random bytes. The random data is generated using the default random number generator, . 1.0.5000.0 2.0.0.0